@ECHO OFF

set sdk_path=%~dp0
setlocal enableDelayedExpansion
IF EXIST !sdk_path! (
	set ecp_path=!sdk_path!
) ELSE (
	set ecp_path="."
)

IF %ecp_path:~-1%==\ SET ecp_path=%ecp_path:~0,-1%

setlocal disableDelayedExpansion
set current_path=%CD%\emulator-control-panel-cli.jar
set current_path_dir=%CD%

:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: (W/A) In java 9, JAXB module should be added in run time.
:: But this is a temporary workaround because eventually
:: modules that are not resolved by default such as a JAXB
:: could be removed from the JDK.
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
IF EXIST "%current_path%" (
	set jre_opt="--module-path="%current_path_dir%"\..\..\..\library\jaxb-ri\ --add-modules=ALL-MODULE-PATH -XX:+IgnoreUnrecognizedVMOptions"
) ELSE (
	set jre_opt="--module-path="%ecp_path%"\..\..\..\library\jaxb-ri\ --add-modules=ALL-MODULE-PATH -XX:+IgnoreUnrecognizedVMOptions"
)


IF EXIST "%JAVA_HOME%" (
 	set javaExec=%JAVA_HOME%\bin\java
 ) ELSE (
 	set javaExec=java
 )
 
IF EXIST "%current_path%" (
	"%javaExec%" "%jre_opt%" -jar "%current_path%" %*
) ELSE (
	"%javaExec%" "%jre_opt%" -jar "%ecp_path%\emulator-control-panel-cli.jar" %*
)
